Subject: Re: undefined instruction problem

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 4 May 2000 08:52:44 +0100 (BST)

Naik, Uday writes:
> After putting some printk's in the traps.c code, and printing out the
> vm_area_struct's, it looks like the addresses where the undefined 
> instructions are happening are in ld-2.1.2.so and libc-2.1.2.so. 
> 
> I looked at the ramdisk (ramdisk_img.gz from nico's site). The ld-2.1.2.so
> and libc-2.1.2.so seem much smaller than the one's in my tools chain.
> Have they been specially built for a small footprint ??

Did you compile in support for nwfpe?

> Also what is the format of the page table directory. If I print out memory 
> at current->mm->pgd_t what is the format of the entries I should expect to
> see.

Check the ARM architecture reference manual and the manual for your processor.
Those are the page tables.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: "Naik, Uday" <[email-masked]>
Date: Thu, 4 May 2000 10:35:39 -0700

Thank you, thank you, thank you and once again thank you.

Next problem. I now get through the login prompt fine and 
can login as root and get the shell prompt. But when I type
in anything, I get "ttyS: unknown flag 36". Looks like its 
coming from n_tty_receive_buf() in n_tty.c. I will look into my 
serial driver. But any hints would be appreciated.

Thanks

Uday

---

All opinions expressed are mine and do not reflect those of my employer.

-----Original Message-----
From: Russell King - ARM Linux Admin [mailto:[email-masked]]
Sent: Thursday, May 04, 2000 12:53 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: undefined instruction problem

> at current->mm->pgd_t what is the format of the entries I should expect to

Check the ARM architecture reference manual and the manual for your
processor.

unsubscribe: body of `unsubscribe linux-arm-kernel' to
[email-masked]